> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all available shipping options

> List all available shipping options



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /store/available-shipping-options
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/available-shipping-options:
    parameters: []
    get:
      tags:
        - Store
      summary: List all available shipping options
      description: List all available shipping options
      operationId: list-available-shipping-options
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      shipping_options:
                        type: array
                        items:
                          $ref: '#/components/schemas/AvailableShippingOption'
                    type: object
components:
  schemas:
    AvailableShippingOption:
      title: AvailableShippingOption
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        is_connected:
          type: boolean
        is_forward_shipping:
          type: boolean
        is_return_shipping:
          type: boolean
        logo_dark:
          type:
            - string
            - 'null'
          readOnly: true
        logo_light:
          type:
            - string
            - 'null'
          readOnly: true
        type:
          enum:
            - auto
            - manual
        fulfillment_type:
          enum:
            - delivery
            - collect-in-store
        status:
          enum:
            - active
            - inactive
        warehouses:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
        shipping_zone:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
      x-tags:
        - Store
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````